mysql-8.0 FTBFS (focal) because of hardcoded date in test

Bug #1862364 reported by Eduardo Barretto
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
mysql-8.0 (Ubuntu)
Fix Released
Medium
Rafael David Tinoco

Bug Description

Just similar to bug #1859100 there is another test that just started failing because of a date that expired.

See the snippet of build log below:

[ 51%] main.events_1 w4 [ fail ]
        Test ended at 2020-02-07 10:46:06

CURRENT_TEST: main.events_1
mysqltest: At line 69: Query 'ALTER EVENT event_starts_test ON SCHEDULE AT '2020-02-02 20:00:02'' failed.
ERROR 1589 (HY000): Event execution time is in the past and ON COMPLETION NOT PRESERVE is set. The event was not changed. Specify a time in the future.

The result from queries just before the failure was:
drop event if exists event1;
Warnings:
Note 1305 Event event1 does not exist
create event event1 on schedule every 15 minute starts now() ends date_add(now(), interval 5 hour) DO begin end;
alter event event1 rename to event2 enable;
alter event event2 disable;
alter event event2 enable;
alter event event2 on completion not preserve;
alter event event2 on schedule every 1 year on completion preserve rename to event3 comment "new comment" do begin select 1; end__
alter event event3 rename to event2;
drop event event2;
create event event2 on schedule every 2 second starts now() ends date_add(now(), interval 5 hour) comment "some" DO begin end;
drop event event2;
CREATE EVENT event_starts_test ON SCHEDULE EVERY 10 SECOND COMMENT "" DO SELECT 1;
SELECT interval_field, interval_value, event_definition FROM information_schema.events WHERE event_name='event_starts_test';
INTERVAL_FIELD INTERVAL_VALUE EVENT_DEFINITION
SECOND 10 SELECT 1
SELECT execute_at IS NULL, starts IS NULL, ends IS NULL, event_comment FROM information_schema.events WHERE event_schema='events_test' AND event_name='event_starts_test';
execute_at IS NULL starts IS NULL ends IS NULL EVENT_COMMENT
1 0 1
safe_process[29375]: Child process: 29376, exit: 1

 - the logfile can be found in '/<<PKGBUILDDIR>>/builddir/mysql-test/var/log/main.events_1/events_1.log'

Doing a grep for 2020 shows some other tests that has a 2020 date, it might be a good idea to fix them altogether.

Tags: server-next
Changed in mysql-8.0 (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
Paride Legovini (paride)
tags: added: server-next
Changed in mysql-8.0 (Ubuntu):
status: Confirmed → Triaged
Revision history for this message
Rafael David Tinoco (rafaeldtinoco) wrote :

I have just uploaded mysql-8.0_8.0.19-0ubuntu3 containing fixes for the 2020 year in mysql tests.

Related bugs:

https://bugs.launchpad.net/ubuntu/+source/mysql-8.0/+bug/1862770
https://bugs.launchpad.net/ubuntu/+source/mysql-8.0/+bug/1859100

Changed in mysql-8.0 (Ubuntu):
status: Triaged → In Progress
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mysql-8.0 - 8.0.19-0ubuntu3

---------------
mysql-8.0 (8.0.19-0ubuntu3) focal; urgency=medium

  * Bump some more tests that assume 2020 is in the future (LP: #1862364)

 -- Rafael David Tinoco <email address hidden> Wed, 12 Feb 2020 19:26:03 +0000

Changed in mysql-8.0 (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers